Subject: RE: SOAP and OCP

From: "Abbie Barbir" <[email-masked]>
Date: Tue, 22 Apr 2003 20:46:52 -0400

Markus,

The plan for now is to go ahead and get a transport for OCP that best fits.
SOAP addresses some issues and is good in some situations.
We will readdress later.

Abbie

> -----Original Message-----
> From: Markus Hofmann [mailto:[email-masked]] 
> Sent: Tuesday, April 22, 2003 7:10 PM
> To: [email-masked]
> Subject: Re: SOAP and OCP
> 
> 
> 
> Alex Rousskov wrote:
> 
> > Instead, I would suggest that the WG encourages Abbie to 
> write a "how 
> > to use SOAP as an OPES callout protocol" draft, supplying OPES 
> > implementors with an explicit OCP alternative. All WG documents 
> > (including those documenting tracing and bypass mechanisms) 
> will have 
> > to make sure that no specific callout protocol is assumed 
> in a general 
> > OPES context.
> > 
> > Any objections or further comments?
> 
> Having a document discussing the usage of SOAP as the OPES callout 
> protocol is fine (indeed, I believe there was a now expired, 
> individual ID about this a while ago). However, I'd like to hit the 
> brake on going down the path of specifying multiple OPES callout 
> protocols.
> 
> Let's focus on getting "an" OCP - with the appropriate transport 
> binding(s) and application binding(s) - done. We're chartered to 
> specify a callout protocol, and not a suite of possible callout 
> protocols. There might be multiple alternatives, and we'll have to 
> decide which is the best one.
> 
> If there's a real need for having multiple callout protocols, let's 
> have a discussion and see whether there's WG consensus to do so. 
> Otherwise, I'd suggest we focus on getting a single callout protocol 
> done right, and base the companion documents around this protocol.
> 
> Leaving too many options seems like a simple way to overcome 
> controversy and to make everybody happy, but it might not always be 
> the best choice in technical design.
> 
> -Markus
> 
>

---

From: Markus Hofmann <[email-masked]>
Date: Tue, 22 Apr 2003 21:14:26 -0400

> The plan for now is to go ahead and get a transport for OCP that best fits.

Absolutely, that's the goal!

> SOAP addresses some issues and is good in some situations.

Discussing the pros and cons of using SOAP (or other protocols) as the 
OCP transport is perfectly fine (and we already had some good 
discussions around that topic). The goal of these discussions is to 
decide on THE OCP transport - the result should be unambiguous, if 
possible. The WG will then move forward with the selected OCP 
transport and won't spend cycles on other alternatives.

If this sounds OK, we're in agreement.

-Markus